site_name: Hypha Documentation
site_url: https://docs.hypha.app/
site_description: "Documentation for Hypha, an open source submission management platform."
copyright: Copyright &copy; 2018 - 2024 - Open Technology Fund
repo_name: HyphaApp/hypha
repo_url: https://github.com/HyphaApp/hypha
edit_uri: edit/main/docs/

dev_addr: localhost:9100
site_dir: docs_build
extra_css:
  - assets/extra.css

theme:
  name: material
  favicon: https://www.hypha.app/favicon-32x32.png
  logo: data:image/svg+xml;base64,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
  icon:
    repo: fontawesome/brands/github
  #   palette:
  #     primary: black
  #     accent: deep purple
  font: false
  features:
    - content.action.edit
    - content.action.view
    - content.code.copy
    - content.tabs.link
    - header.autohide
    - navigation.indexes
    - navigation.instant
    - navigation.footer
    - navigation.sections
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.top
    - navigation.tracking
    - toc.follow

plugins:
  - awesome-pages
  - search
  - macros:
      module_name: docs/scripts/doc_macros
  - mkdocstrings:
      enabled: !ENV [GEN_REF_PAGES, false]
      default_handler: python
      handlers:
        python:
          options:
            docstring_style: google
            show_root_heading: true
            show_if_no_docstring: true
            inherited_members: true
            members_order: source
            separate_signature: true
            unwrap_annotated: true
            filters:
              - "!^_"
            docstring_section_style: list
            merge_init_into_class: true
            signature_crossrefs: true
            show_symbol_type_heading: true
            show_symbol_type_toc: true
  - git-revision-date-localized:
      type: timeago
  - gen-files:
      scripts:
        - docs/scripts/gen_ref_pages.py

markdown_extensions:
  - admonition
  - attr_list
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - md_in_html
  - def_list
  - footnotes
  - meta
  - toc:
      permalink: true
  - pymdownx.arithmatex
  - pymdownx.betterem:
      smart_enable: all
  - pymdownx.caret
  - pymdownx.critic
  - pymdownx.inlinehilite
  - pymdownx.highlight:
      guess_lang: false
      linenums: false
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.magiclink
  - pymdownx.mark
  - pymdownx.smartsymbols
  - pymdownx.superfences
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.tilde
  - pymdownx.details
  - pymdownx.keys

nav:
  - Home: index.md
  - ...
  - Issues: https://github.com/HyphaApp/hypha/issues

extra:
  social:
    - icon: material/chat
      link: https://chat.hypha.app/
      name: Hypha Chat

    - icon: material/forum
      link: https://we.hypha.app/
      name: Hypha Forum

    - icon: material/github
      link: https://github.com/HyphaApp/
      name: GitHub Org

  # Versioning for Python & Node happen automatically via docs/scripts/doc_macros.py reading
  # ".python-version" and ".nvmrc". Updates here will overwrite the automatic versioning.
  versions:
    python:
      version:
      packages:
        macos:
    node:
      version:
    nvm:
      version: 0.39.5
      packages:
        debian: https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.5/install.sh
        fedora: https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.5/install.sh
        macos: https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.5/install.sh
    postgres:
      version: 14
      packages:
        debian: postgresql-server-dev-14
        fedora: postgresql-server
        macos: postgres@14
    postgres_devel:
      packages:
        debian: libpq-dev
        fedora: libpq-devel
    tested_ubuntu:
      version: 22.04 LTS
    tested_macos:
      version: Ventura 13.5.2
    tested_fedora:
      version: Workstation 38
